Subject: bug#76587: 31.0.50; [FR] project.el should have a way to exclude certain projects from being saved

From: Ship Mints <[email-masked]>
Date: Mon, 3 Mar 2025 08:13:19 -0500

On Mon, Mar 3, 2025 at 8:10 AM Visuwesh <[email-masked]> wrote:

> [திங்கள் மார்ச் 03, 2025] Ship Mints wrote:
>
> >> >> +(defcustom project-list-exclude nil
> >> >> +  "List of regexps and predicates for project root and objects to
> >> ignore.
> >> >> +The predicate should take one argument, the projet object, and
> should
> >> >> +return non-nil if the project should not be saved."
> >>
> >
> > Is it more like project-list-inhibit-remember?
>
> Sorry, I don't understand what you mean.
>

To be clearer, I was suggesting a name for the exclude defcustom.

> Will the project still be in the in-memory list but just not written
> > to the project list file?
>
> No, the project will never be added to project--list.  The defcustom is
> respected by project-remember-project in the latest few patches.
>

I see.  Worth trying to see how it works.  We can always refine as 31
evolves.  But I guess project.el is published via ELPA sooner than 31...